| Home | Libraries | People | FAQ | More

##### url_base::encoded_authority

(Inherited from `url_view_base`)

Return the authority.

###### Synopsis

    pct_string_view
    encoded_authority() const;

###### Description

If present, this function returns a string representing the authority (which may be empty). Otherwise it returns an empty string. The returned string may contain percent escapes.

###### Example

    assert( url_view( "file://Network%20Drive/My%2DFiles" ).encoded_authority() == "Network%20Drive" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    authority   = [ userinfo "@" ] host [ ":" port ]

###### Specification

- 3.2. Authority (rfc3986)

###### See Also

`authority`, `has_authority`.